curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/indices/rag/app/update" \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"agent_id": "aid-8f3a1b2c4d5e6f70",
"agent_name": "客服知识问答助手 v2",
"agent_config": {
"agent_policy": "agentic",
"agent_model": "qwen3.6-plus",
"enable_session_file": "false",
"enable_refusal": "true",
"enable_anti_leak": "true",
"enable_rich_text": "false",
"enable_citation": "true",
"temperature": 0.7,
"max_num_llm_calls": 10,
"kb_search_configs": [
{
"id": "pipeline-xxxxxx",
"weight": 1,
"dense_similarity_top_k": 15,
"rerank_top_n": 5,
"rerank": {
"model_name": "gte-rerank-hybrid",
"rerank_mode": "custom",
"rerank_instruct": "根据用户问题的技术领域对文档进行相关性排序"
}
}
]
}
}'